- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_collection_t

# mongoc_collection_keys_to_index_string()

## Synopsis

    char *
    mongoc_collection_keys_to_index_string (const bson_t *keys);

## Parameters

- `keys`: A `bson_t`.

## Description

This function returns the canonical stringification of a given key specification. See Creating Indexes.

It is a programming error to call this function on a non-standard index, such one other than a straight index with ascending and descending.

## Returns

A string that should be freed with `bson_free()`.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.